Imports FlexCell

Namespace UTSModule.Project
    Public Class ProjectStationPlan
        Sub New()
            TestPlanLocked = False
            ’Version = New Version(1, 0)
            StationPlanGrid = New Grid()
            Project.StationPlanGrid.InitGrid(StationPlanGrid)
        End Sub


        Sub New(packet As ProjectStationPacket)
            TestPlanLocked = False
           ‘ Version = New Version(1, 0)

            ParentPacket = packet
            StationPlanGrid = New Grid()
            Project.StationPlanGrid.InitGrid(StationPlanGrid)
        End Sub


        ''' <summary>测试流程是否已锁定</summary>
        Public Property TestPlanLocked As Boolean

        '''' <summary>测试流程版本</summary>
        'Public Property Version As Version

        ''' <summary>测试流程表格</summary>
        Public Property StationPlanGrid() As Grid

        ''' <summary>测试流程所关联的项目站包信息</summary>
        Public Property ParentPacket() As ProjectStationPacket


    End Class
End Namespace